package Vhffs::Tests::Utils;
use strict;


sub init_db {
	my $db = shift;
	my $sql = shift;

	# First we flush all VHFFS tables
	my $tables = $db->selectall_arrayref('SELECT tablename FROM pg_catalog.pg_tables WHERE tablename LIKE \'vhffs_%\'');
    my $ok;

    # Some tables have FK constraint without on delete clause, so we need
    # multiple passes until this is fixed...

    local $db->{PrintError} = 0;

    do {
        $ok = 1;
    	foreach (@{$tables}) {
    		$ok = 0 if ( ! $db->do('DELETE FROM '.$_->[0]) );
    	}
    } while( !$ok );

    # Reset all sequences
    my $sequences = $db->selectall_arrayref('SELECT relname FROM pg_catalog.pg_class WHERE relkind=\'S\' AND relname LIKE \'vhffs_%\'');
    foreach (@{$sequences}) {
        $db->do('SELECT setval(\''.$_->[0].'\', 1)');
    }

	foreach (@{$sql}) {
		$db->do($_);
	}
}

1;
